Subject: [bug#27575] [PATCH] gnu: Add et.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 12 Jul 2017 09:22:40 +0200

Good morning Stefan,

I'm having no fun at all trying this out[1] :-(

Would you mind describing how you tested this on Guix(SD? Client?
Server?), and how you use it yourself?

Kind regards,

T G-R

[1] From my notes, frustration included:

  nckx@client:~$ et server.tobias.gr
  bash: /bin/bash: No such file or directory
  SSH handshake failed.

No, I don't know why people insist on doing this. Just call ‘bash’:

  nckx@client:~$ et-fixed server.tobias.gr
  nckx@client:~$

Silence. Mainly because, for some ungodly reason, ‘et’ redirects fatal
(well, all) error messages to /tmp with no indication:

  nckx@client:~$ cat /tmp/etclient_err
  ERROR: unknown command line flag 'log_file'

Oh yes: it also calls its own helper with invalid arguments. Always.
After more patching:

  nckx@client:~$ et-fixed-fixed server.tobias.gr
  F0712 07:53:28.978714  5183 TerminalServer.cpp:379] Error: (1):
  Operation not permitted
  *** Check failure stack trace: ***
    @     0x7fd2c3f16d7d  google::LogMessage::Fail()
    @     0x7fd2c3f18aa5  google::LogMessage::SendToLog()
    @     0x7fd2c3f1690b  google::LogMessage::Flush()
    @     0x7fd2c3f194ee  google::LogMessageFatal::~LogMessageFatal()
    @           0x41a5af  startTerminal()
    @           0x42007c  TerminalServerHandler::newClient()
    @           0x42b241  et::ServerConnection::clientHandler()
    @           0x42b87b  et::ServerConnection::run()
    @           0x4182f6  main
    @     0x7fd2c2a454f0  __libc_start_main
    @           0x418f9a  _start
  Session terminated

After coffee, I realise there's no way I'll never trust this programme,
and stop trying.